<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN">

<html>

<head>

<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">

<title>Policy checklist for upgrading your packages - About the checklist</title>

<link href="index.html" rel="start">
<link href="index.html" rel="prev">
<link href="ch2.html" rel="next">
<link href="index.html#contents" rel="contents">
<link href="index.html#copyright" rel="copyright">
<link href="ch1.html" rel="chapter" title="1 About the checklist">
<link href="ch2.html" rel="chapter" title="2 The checklist">

</head>

<body>

<p><a name="ch1"></a></p>
<hr>

<p>
[ <a href="index.html">previous</a> ]
[ <a href="index.html#contents">Contents</a> ]
[ 1 ]
[ <a href="ch2.html">2</a> ]
[ <a href="ch2.html">next</a> ]
</p>

<hr>

<h1>
Policy checklist for upgrading your packages
<br>Chapter 1 - About the checklist
</h1>

<hr>

<p>
The checklist below has been created to simplify the upgrading process of old
packages.  Note that this list is not &quot;official&quot;; it simply gives an
indication of what has changed and whether you are likely to need to make
changes to your package in light of this.  If you have doubts about a certain
topic, if you need more details, or if you think some other package does not
comply with policy, please refer to the Policy Manual itself.  All of the
changes from version 3.0.0 onwards indicate which section of the Policy Manual
discusses the issue: [3.4] means section 3.4.  The section numbering changed
when the packaging manual was incorporated into policy; the section numbers
used below refer to the current version.
</p>

<p>
Here is how the check list works: Check which policy version your package was
checked against last (indicated in the &quot;Standards-Version&quot; field of
the source package).  Then move upwards until the top and check which of the
items on the list might concern your package.  Note which sections of policy
discuss this, and then check out the Policy Manual for details.  If you are
upgrading from Policy version &lt; 2.5.0, it may be easier to check through the
whole of policy instead of picking your way through this list.
</p>

<hr>

<p>
[ <a href="index.html">previous</a> ]
[ <a href="index.html#contents">Contents</a> ]
[ 1 ]
[ <a href="ch2.html">2</a> ]
[ <a href="ch2.html">next</a> ]
</p>

<hr>

<p>
Policy checklist for upgrading your packages
</p>

<address>
Bill Allombert <code><a href="mailto:ballombe@debian.org">mailto:ballombe@debian.org</a></code><br>
Josip Rodin<br>
Julian Gilbey<br>
Russ Allbery <code><a href="mailto:rra@debian.org">mailto:rra@debian.org</a></code><br>
Manoj Srivastava <code><a href="mailto:srivasta@debian.org">mailto:srivasta@debian.org</a></code><br>
<br>
</address>
<hr>

</body>

</html>

